@charset "UTF-8";
/* † */

@-ms-viewport {
    width: device-width;
}

@font-face {
    /* for Windows Firefox */
    font-family: 'YuGothic M';
    src: local(Yu Gothic Medium);
}

@font-face {
    font-family: 'DoubleQuote';
    src:
        local('Consolas'),
        local('Trebuchet MS'),
        local('Times New Roman');
    unicode-range: U+002B, U+002D, U+2013, U+2019, U+201C-201D;
}

@font-face {
    font-family: 'AsciiAscii';
    src:
        local('Helvetica'),
        local('Segoe UI'),
        local('Verdana'),
        local('Inconsolata'),
        local('Times New Roman');
    unicode-range: U+0020-007E, U+00B1;
}

@font-face {
    font-family: 'EastAsianPunc';
    src:
        local('\30D2\30E9\30AE\30CE\89D2\30B4  Pr6N W3'), local('HiraginoSansPr6N-W3'), local('Hiragino Kaku Gothic Pr6N'),
        local('\30D2\30E9\30AE\30CE\89D2\30B4  ProN W3'), local('HiraginoSansProN-W3'), local('Hiragino Kaku Gothic ProN'),
        local('\30E1\30A4\30EA\30AA'), local('Meiryo'),
        local('\6E90\30CE\89D2\30B4\30B7\30C3\30AF  Regular'), local('\6E90\30CE\89D2\30B4\30B7\30C3\30AF  JP Regular'),
        local('Source Han Sans Regular'), local('Source Han Sans JP Regular'), local('Noto Sans CJK JP Regular'), local('Noto Sans JP Regular'),
        local('Source Han Sans'), local('Source Han Sans JP'),
        local('Noto Sans CJK JP'), local('Noto Sans JP'),
        local('\FF2D\FF33\20\30B4\30B7\30C3\30AF'), local('MS Gothic');
    unicode-range: U+00F7, U+2026, U+2190-2193, U+25CF;
}

html {
    font-family: sans-serif;
    font-size: 100.01%;
    min-height: 100%;
    -ms-text-size-adjust: 100%;
}

@supports (-moz-text-size-adjust: 100%) {
    html {
        -moz-text-size-adjust: 100%;
    }
}

@supports (-webkit-text-size-adjust: 100%) {
    html {
        -webkit-text-size-adjust: 100%;
    }
}

@supports (text-size-adjust: 100%) {
    html {
        text-size-adjust: 100%;
    }
}

body {
    background-color: #FFFFFF;
    color: #000000;
    font-family: 'ＭＳ ゴシック';
    font-size: 100%;
    line-height: 2;
    margin: 0;
    padding: 0;
    text-align: center;
}

\62\6F\64\79 {
    /* for IE6 */
    font-family: '\FF2D\FF33\20\30B4\30B7\30C3\30AF', 'MS Gothic', sans-serif;
}

html > body {
    /* for IE7 */
    font-family: '\30E1\30A4\30EA\30AA', 'Meiryo', '\FF2D\FF33\20\30B4\30B7\30C3\30AF', 'MS Gothic', sans-serif;
}

html:root > body {
    font-family:
        '\30D2\30E9\30AE\30CE\89D2\30B4  Pr6N W3', 'HiraginoSansPr6N-W3', 'Hiragino Kaku Gothic Pr6N',
        '\30D2\30E9\30AE\30CE\89D2\30B4  ProN W3', 'HiraKakuProN-W3', 'Hiragino Kaku Gothic ProN',
        /*'AsciiAscii',*/
        'DoubleQuote', 'EastAsianPunc',
        /*
        '\6E38\30B4\30B7\30C3\30AF  Medium', 'Yu Gothic Medium', '\6E38\30B4\30B7\30C3\30AF\4F53', 'YuGothic', 'YuGothic M',
        '\6E38\30B4\30B7\30C3\30AF', 'Yu Gothic',
        */
        'Segoe UI',
        '\30E1\30A4\30EA\30AA', 'Meiryo', 
        /* SHS ja / Noto Sans CJK */
        '\6E90\30CE\89D2\30B4\30B7\30C3\30AF  Regular', '\6E90\30CE\89D2\30B4\30B7\30C3\30AF  JP Regular',
        'Source Han Sans Regular', 'Source Han Sans JP Regular', 'Noto Sans CJK JP Regular', 'Noto Sans JP Regular',
        'Source Han Sans', 'Source Han Sans JP', 'Noto Sans CJK JP', 'Noto Sans JP',
        /* Windows CJK ClearType fonts */
        '\B9D1\C740  \ACE0\B515', 'Malgun Gothic',
        '\5FAE\8F6F\96C5\9ED1', 'Microsoft YaHei',
        '\5FAE\8EDF\6B63\9ED1\9AD4', 'Microsoft JhengHei',
        '\FF2D\FF33  \30B4\30B7\30C3\30AF', 'MS Gothic',
        Verdana,
        sans-serif;
}

a {
    background-color: transparent;
    border-bottom: 1px solid;
    text-decoration: none;
    -webkit-text-decoration-skip: objects;
}

a img {
    border: none;
}

p {
    font-family: monospace, monospace;
    font-size: 1em;
    line-height: 1.2;
    margin: 1em 20px 1em 10px;
    padding-bottom: .8em;
    text-align: left;
    /* word-wrap: normal; 2016-11-21. word-wrap かけてる IE にのみ適用 */

    white-space: -moz-pre-wrap; /* Mozilla */
    white-space: -pre-wrap;     /* Opera 4-6 */
    white-space: -o-pre-wrap;   /* Opera 7 */
    white-space: pre-wrap;      /* CSS3 */
    word-wrap: break-word;      /* IE 5.5+ */

    width: 90%;
}

pre {
    font-family: monospace, monospace;
    font-size: 1em;
    line-height: 1.2;
    margin: 1em 20px 1em 10px;
    padding-bottom: .8em;
    text-align: left;
    /* word-wrap: normal; 2016-11-21. word-wrap かけてる IE にのみ適用 */

    white-space: -moz-pre-wrap; /* Mozilla */
    white-space: -pre-wrap;     /* Opera 4-6 */
    white-space: -o-pre-wrap;   /* Opera 7 */
    white-space: pre-wrap;      /* CSS3 */
    word-wrap: break-word;      /* IE 5.5+ */

    width: 90%;
}

code {
    font-family: 'ＭＳ ゴシック';
    font-size: 1em;
}

kbd {
    font-family: 'ＭＳ ゴシック';
    font-size: 1em;
}

samp {
    font-family: 'ＭＳ ゴシック';
    font-size: 1em;
}

body > p {
    font-family: Consolas, 'Courier New', 'Andale Mono', Courier, mono, monospace, monospace;
}
body > pre code {
    font-family: Consolas, 'Courier New', 'Andale Mono', Courier, mono, monospace, monospace;
}
body > pre kbd {
    font-family: Consolas, 'Courier New', 'Andale Mono', Courier, mono, monospace, monospace;
}
body > pre samp {
    font-family: Consolas, 'Courier New', 'Andale Mono', Courier, mono, monospace, monospace;
}

.DBCS{font-family:'\30E1\30A4\30EA\30AA',Meiryo,'Hiragino Kaku Gothic ProN','Segoe UI',Verdana,sans-serif;}

:target {
    background: #FFFF00;
}

:target code {
    background: #FFFF00;
    display: inline-block;
    width: 100%;
}

.shade {
    background-color: #EEEEEE;
}

.washy {
    background-color: #EFEFF7;
}

.alert{
    background-color: #FFD0D0;
}

.wordbreakall {
    word-break: break-all;
}


